Bug 1167724 - Request to rebase elfutils version that is higher than 0.158
Summary: Request to rebase elfutils version that is higher than 0.158
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: elfutils
Version: 6.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Mark Wielaard
QA Contact: Martin Cermak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-25 10:17 UTC by Dodji Seketeli
Modified: 2015-07-22 06:25 UTC (History)
5 users (show)

Fixed In Version: elfutils-0.161-3.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The elfutils packages have been upgraded to upstream version 0.161, which provides a number of bug fixes and enhancements over the previous version. The most notable new features are: * The eu-stack utility supports showing inlined frames and it is now able to produce backtraces even for processes that might have some of their on-disk libraries updated or deleted. * Improved DWZ compressed DWARF multi-file support with new functions, "dwarf_getalt" and "dwarf_setalt", has been introduced. * Support for ARM 64-bit architecture and Red Hat Enterprise Linux for POWER, little endian has been added. * The libdw library now supports LZMA-compressed (.ko.xz) kernel modules. * Support for ".debug_macro" has been added; new functions has been introduced: "dwarf_getmacros_off", "dwarf_macro_getsrcfiles", "dwarf_macro_getparamcnt", and "dwarf_macro_param". * New GNU extensions to the DWARF format are now recognized. * New functions have been added to the libdw library: "dwarf_peel_type", "dwarf_cu_getdwarf", "dwarf_cu_die", "dwelf_elf_gnu_debuglink", "dwelf_dwarf_gnu_debugaltlink", "dwelf_elf_gnu_build_id".
Clone Of:
Environment:
Last Closed: 2015-07-22 06:25:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1302 normal SHIPPED_LIVE elfutils bug fix and enhancement update 2015-07-20 17:53:52 UTC
Sourceware 17193 None None None 2019-06-04 17:56:20 UTC

Description Dodji Seketeli 2014-11-25 10:17:54 UTC
In version 0.159, elfutils gained a better support for alternate debug information sections emitted by the debug information compression tool, dwz. 

This is critical to develop tools that use elfutils to read the compressed debug information.

The particular piece of improvement that is interesting to have is summarized in the NEWS file of elfutils for the 0.159 version:

libdw: Support for DWZ multifile forms DW_FORM_GNU_ref_alt and
       DW_FORM_GNU_strp_alt is now enabled by default and no longer
       experimental. Added new functions dwarf_getalt and dwarf_setalt
       to get or set the alternative debug file used for the alt FORMs.

One practical example of issue the missing functionality of the current 0.158 version of RHEL 6.6 causes is this problem reported in the bug tracker of the libabigail project: https://sourceware.org/bugzilla/show_bug.cgi?id=17193#c5

Comment 5 errata-xmlrpc 2015-07-22 06:25:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-1302.html


Note You need to log in before you can comment on or make changes to this bug.